Watch a pool
POST
/lp/watch/pool
const url = 'https://api.getchord.xyz/v1/lp/watch/pool';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"chain":5042,"wallet":"0xb145400da27a2497d9fc2cd5621f2bfd37617af4","pool":"0xf53f02d9041d00bbd92235b4c902b9f350c554a8ed2dc64fa0a4585aac413f09"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getchord.xyz/v1/lp/watch/pool \ --header 'Content-Type: application/json' \ --data '{ "chain": 5042, "wallet": "0xb145400da27a2497d9fc2cd5621f2bfd37617af4", "pool": "0xf53f02d9041d00bbd92235b4c902b9f350c554a8ed2dc64fa0a4585aac413f09" }'Adds a pool to the wallet’s watchlist — drain alerts without holding a position.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
chain
required
integer
wallet
required
EVM address, hex, case-insensitive.
string
pool
required
A pool: a 20-byte contract address (V2 / V3) or a 32-byte Uniswap V4 pool id.
string
Example
{ "chain": 5042, "wallet": "0xb145400da27a2497d9fc2cd5621f2bfd37617af4", "pool": "0xf53f02d9041d00bbd92235b4c902b9f350c554a8ed2dc64fa0a4585aac413f09"}Responses
Section titled “ Responses ”Media typeapplication/json
object
pools
Array<string>
Examplegenerated
{ "pools": [ "example" ]}Invalid parameters — error names the check that failed (INVALID_PARAMS, BAD_ADDRESS, BAD_LIMIT, BAD_HOURS, …).
Media typeapplication/json
Every non-2xx body.
object
error
required
Stable machine code, e.g. INVALID_PARAMS, NOT_READY, RATE_LIMIT_EXCEEDED.
string
message
For humans.
string
statusCode
HTTP status, when included.
integer
Example
{ "error": "INVALID_PARAMS", "message": "amount must be an integer string in the token's smallest unit"}